# vala bindigs are regenerated if enabled and
# upstream provided is used if disabled
#
# regenerating currently fails because vala isn't
# enabled in evolution-data-server
%define build_vala	0

%define major		25
%define gi_major	0.6
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		folks
Version:	0.8.0
Release:	%mkrel 2
Summary:	Aggregates people from multiple sources to create metacontacts
Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		http://telepathy.freedesktop.org/wiki/Folks
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

%if %{build_vala}
BuildRequires:	pkgconfig(libvala-0.14) >= 0.13.4
BuildRequires:	vala-tools
%endif

BuildRequires:	pkgconfig(telepathy-glib) >= 0.19.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libebook-1.2) >= 3.1.5
BuildRequires:	pkgconfig(zeitgeist-1.0) >= 0.3.14
BuildRequires:	intltool

%description
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package common
Group:		%{group}
Summary:	Translations for %{name}
Obsoletes:	%{name}-i18n < 0.7.2.1

%description common
This package contains common files for %{name}.

%package -n %{libname}
Group:		System/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{libname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package -n %{develname}
Group:		Development/C
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package -n %{girname}
Group:		System/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

This package contains the Gir-repository typelib for %{name}.

%files common -f %{name}.lang
%{_datadir}/glib-2.0/schemas/org.freedesktop.folks.gschema.xml
%{_datadir}/GConf/gsettings/folks.convert

%files
%doc AUTHORS README
%{_bindir}/folks-import

%files -n %{libname}
%{_libdir}/*.so.%{major}*
%dir %{_libdir}/folks
%dir %{_libdir}/folks/*
%{_libdir}/folks/*/backends

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/folks
%{_datadir}/vala/vapi/folks*
%{_datadir}/gir-1.0/Folks-%{gi_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/Folks-%{gi_major}.typelib

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-tracker-backend \
	--enable-libsocialweb-backend=auto \
	--enable-eds-backend \
%if %{build_vala}
	--enable-vala \
	--enable-inspect-tool \
%endif
	--enable-import-tool
%make

%install
%makeinstall_std

%find_lang %{name}

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 350624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 ovitters <ovitters> 0.8.0-1.mga3
+ Revision: 302753
- new version 0.8.0

* Wed Sep 12 2012 ovitters <ovitters> 0.7.4.1-1.mga3
+ Revision: 292510
- new version 0.7.4.1
- new version 0.7.4

* Sun Jul 29 2012 ovitters <ovitters> 0.7.3-1.mga3
+ Revision: 275788
- new version 0.7.3

* Tue Jul 03 2012 ovitters <ovitters> 0.7.2.2-1.mga3
+ Revision: 267002
- drop merged requires patch
- new version 0.7.2.2

* Sun Jul 01 2012 ovitters <ovitters> 0.7.2.1-1.mga3
+ Revision: 266368
- put gschema and i18n files under new common subpackage
- br zeitgeist-1.0
- add patch to fix eds requirement
- update buildrequires
- new version 0.7.2.1

* Mon Apr 16 2012 ovitters <ovitters> 0.6.9-1.mga2
+ Revision: 231097
- new version 0.6.9

* Tue Mar 27 2012 ovitters <ovitters> 0.6.8-1.mga2
+ Revision: 227001
- new version 0.6.8

* Thu Feb 23 2012 ovitters <ovitters> 0.6.7-1.mga2
+ Revision: 212599
- new version

* Mon Jan 23 2012 dmorgan <dmorgan> 0.6.6-2.mga2
+ Revision: 200179
- Own %%{_libdir}/folks

* Wed Dec 14 2011 fwang <fwang> 0.6.6-1.mga2
+ Revision: 181552
- new version 0.6.6

* Mon Nov 21 2011 fwang <fwang> 0.6.5-2.mga2
+ Revision: 170379
- rebuild for new evo

* Fri Nov 11 2011 wally <wally> 0.6.5-1.mga2
+ Revision: 166717
- new version 0.6.5

* Sat Oct 29 2011 fwang <fwang> 0.6.4.1-2.mga2
+ Revision: 159480
- rebuild for new evo

* Tue Oct 18 2011 wally <wally> 0.6.4.1-1.mga2
+ Revision: 156382
- new version 0.6.4.1
- bump major back to 25

* Tue Oct 18 2011 fwang <fwang> 0.6.4-1.mga2
+ Revision: 156052
- update libmajor
- new version 0.6.4

* Tue Sep 27 2011 ovitters <ovitters> 0.6.3.2-1.mga2
+ Revision: 149183
- new version 0.6.3.2

* Sat Sep 24 2011 fwang <fwang> 0.6.3.1-1.mga2
+ Revision: 147151
- new version 0.6.3.1

* Mon Sep 19 2011 fwang <fwang> 0.6.3-1.mga2
+ Revision: 145229
- new version 0.6.3

* Sat Sep 10 2011 wally <wally> 0.6.2.1-2.mga2
+ Revision: 142149
- disable tracker backend as it's not recommended to use it

* Fri Sep 09 2011 fwang <fwang> 0.6.2.1-1.mga2
+ Revision: 141710
- update file list
- new version 0.6.2.1

* Mon Aug 29 2011 fwang <fwang> 0.6.1-1.mga2
+ Revision: 136121
- new version 0.6.1
- requires tracker 0.12
- rebuild for new tracker

  + wally <wally>
    - add more tracker0.11 patching
    - clean patch from unwanted chunks
    - new version 0.6.0
    - new major 25
    - enable tracker and evolution-data-server backends
    - disable regenerating vala bindings for now as it fails
      due to vala isn't enabled in evolution-data-server and
      use ones provided by upstream
    - clean .spec a bit

* Sat Jul 16 2011 ahmad <ahmad> 0.5.2-2.mga2
+ Revision: 124670
- Add a patch from upstream to fix build with vala >= 0.13.1
- The lib package shouldn't require the -gir one
- Convert the BR to pkgconfig style

* Sun Jul 03 2011 ahmad <ahmad> 0.5.2-1.mga2
+ Revision: 117589
- Update to 0.5.2
- Bump BR vala-devel version
- Split the gir typelib in a separate sub-package to ease lib major upgrades
- Compile with --enable-vala (otherwise BR vala-devel is useless)

* Tue Apr 05 2011 dams <dams> 0.4.2-1.mga1
+ Revision: 80745
- update to 0.4.2, new major, add translations and add a better buildrequire on telepathy-glib
- update to 0.4.2

* Sun Feb 20 2011 eandry <eandry> 0.2.1-2.mga1
+ Revision: 54862
- drop buildroot
- imported package folks

